"""AliceBot

简单的 Python 异步多后端机器人框架

本模块从子模块导入了以下内容：
- `Bot` => [`alicebot.bot.Bot`](./bot#Bot)
- `Event` => [`alicebot.event.Event`](./event#Event)
- `Plugin` => [`alicebot.plugin.Plugin`](./plugin#Plugin)
- `Adapter` => [`alicebot.adapter.Adapter`](./adapter/#Adapter)
- `ConfigModel` => [`alicebot.config.ConfigModel`](./config#ConfigModel)
- `Depends` => [`alicebot.dependencies.Depends`](./dependencies#Depends)
"""
# pyright: reportUnusedImport=false
from alicebot.adapter import Adapter
from alicebot.bot import Bot
from alicebot.config import ConfigModel
from alicebot.dependencies import Depends
from alicebot.event import Event
from alicebot.plugin import Plugin
